serverless:deploy:
  image: $SERVERLESS_IMAGE$SERVERLESS_DIR:latest
  stage: deploy
  script:
    - serverless_set_directory
    - ln -s /opt/app/node_modules ./node_modules
    - yarn print
    - yarn deploy # need to set AWS credentials and region variables in GitLab Secrets
  artifacts:
    paths:
      - serverless_print_logs.txt
      - serverless_deploy_logs.txt
    expire_in: 1 week
  only:
    changes:
      - $SERVERLESS_DIR/**/*.{py,yml}
      - gitlab-ci/Jobs/Serverless-Build.gitlab-ci.yml
  when: manual
  allow_failure: false
